from django.apps import apps
from django.utils.translation import ugettext_lazy as _
import django_tables2 as tables
from django_tables2.utils import A

TeckidsPerson = apps.get_model('ticdesk_account', 'TeckidsPerson')

class PersonTable(tables.Table):
    class Meta:
        attrs = {'class': 'table table-striped table-bordered table-hover table-responsive'}

    given_name = tables.Column(verbose_name=_('Vorname'))
    sn = tables.Column(verbose_name=_('Nachname'))
    mail = tables.columns.EmailColumn(verbose_name=_('E-Mail'))
    age = tables.Column(verbose_name=_('Alter'))

    uid = tables.LinkColumn('person_by_uid', args=[A('uid')], verbose_name=_('Benutzername'))
